%define rel	9

Summary:	Console-based live network and disk io bandwidth monitor
Name:		bwm-ng
Version:	0.6
Release:	%mkrel %{rel}
URL:		http://gropp.org/?id=projects&sub=bwm-ng
Source:		http://gropp.org/bwm-ng/bwm-ng-%{version}.tar.gz
# fixes build, from upstream
Patch0:		bwm-ng-fmt+retvalues.patch
License:	GPLv2+
Group:		Monitoring
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libstatgrab)

%description
Bandwidth Monitor NG is a small and simple console-based live
network and disk io bandwidth monitor for Linux, BSD, Solaris, Mac
OS X and others.

Short list of features:
- supports /proc/net/dev, netstat, getifaddr, sysctl, kstat,
  /proc/diskstats, /proc/partitions, IOKit, devstat and libstatgrab
- unlimited number of interfaces/devices supported
- interfaces/devices are added or removed dynamically from list
- white-/blacklist of interfaces/devices
- output of KB/s, Kb/s, packets, errors, average, max and total sum
- output in curses, plain console, CSV or HTML
- configfile

%prep
%setup -q
%autopatch -p1

%build
# FIXME: Package suffers from c11/inline issues
# Workaround by appending --std=gnu89 to CFLAGS
# Proper fix would be to fix the source-code
CFLAGS="${RPM_OPT_FLAGS} -std=gnu89"
%configure2_5x --with-ncurses --with-partitions --with-procnetdev --with-libstatgrab
%make

%install
%makeinstall_std

%files
%doc README AUTHORS ChangeLog NEWS THANKS bwm-ng.conf-example bwm-ng.css
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*




%changelog
* Sat Feb 13 2016 umeabot <umeabot> 0.6-9.mga6
+ Revision: 959647
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.6-8.mga6
+ Revision: 896258
- add -stdc=gnu89 to CFLAGS (Work-around to c11/inline compatibility)

* Wed Oct 15 2014 umeabot <umeabot> 0.6-7.mga5
+ Revision: 749394
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6-6.mga5
+ Revision: 678256
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6-5.mga4
+ Revision: 503172
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.6-4.mga3
+ Revision: 347244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 anssi <anssi> 0.6-3.mga1
+ Revision: 19607
- imported package bwm-ng


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-3mdv2011.0
+ Revision: 610088
- rebuild

* Sat Feb 06 2010 Anssi Hannula <anssi@mandriva.org> 0.6-2mdv2010.1
+ Revision: 501440
- fix build (fmt+retvalues.patch from upstream)
- build with libstatgrab support

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2009.0
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Anssi Hannula <anssi@mandriva.org> 0.6-1mdv2008.1
+ Revision: 114538
- initial Mandriva release

